-- on 172.16.30.130 node create dqmp database
CREATE SCHEMA `dqmp` DEFAULT CHARACTER SET utf8mb4 ;

# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: test002 (MySQL 5.7.26)
# Database: dqmp
# Generation Time: 2019-12-27 07:44:20 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table tbl_client_version_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_client_version_info`;

CREATE TABLE `tbl_client_version_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `cl_type` varchar(45) DEFAULT NULL COMMENT '客户端类型',
  `cl_version` varchar(45) DEFAULT NULL COMMENT '版本号',
  `version_time` varchar(45) DEFAULT NULL COMMENT '检查到新版本的时间',
  `partition_date` varchar(45) DEFAULT NULL COMMENT '版本账期',
  `create_time` varchar(45) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `tbl_client_version_info_date_index` (`version_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table tbl_indicator_operator_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_indicator_operator_info`;

CREATE TABLE `tbl_indicator_operator_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `indicator_type` varchar(45) DEFAULT NULL COMMENT '指标类型',
  `operator_expr` varchar(150) DEFAULT NULL COMMENT '算子表达式',
  `comment` varchar(45) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_indicator_operator_info` WRITE;
/*!40000 ALTER TABLE `tbl_indicator_operator_info` DISABLE KEYS */;

INSERT INTO `tbl_indicator_operator_info` (`id`, `indicator_type`, `operator_expr`, `comment`)
VALUES
	(1,'PV','COUNT(#col_name)','PV'),
	(2,'UV','COUNT(DISTINCT(#col_name))','UV'),
	(3,'SUM','SUM(#col_name)','SUM');

/*!40000 ALTER TABLE `tbl_indicator_operator_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_result_check_refer
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_result_check_refer`;

CREATE TABLE `tbl_result_check_refer` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `check_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `check_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `refer_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `refer_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `refer_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `all_num` bigint(30) DEFAULT NULL COMMENT '数据总数',
  `matched_num` bigint(30) DEFAULT NULL COMMENT '匹配上的条数',
  `matched_rate` double DEFAULT NULL COMMENT '匹配上的比率',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_result_check_refer` WRITE;
/*!40000 ALTER TABLE `tbl_result_check_refer` DISABLE KEYS */;

INSERT INTO `tbl_result_check_refer` (`id`, `check_db_name`, `check_tb_name`, `check_col_name`, `refer_db_name`, `refer_tb_name`, `refer_col_name`, `all_num`, `matched_num`, `matched_rate`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id',37313,37313,1,'2019-12-23',1,'2019-12-24 19:20:00'),
	(2,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id',4941,4941,1,'2019-12-23',2,'2019-12-24 19:20:10'),
	(3,'online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id',68609,68609,1,'2019-12-23',3,'2019-12-24 19:20:27'),
	(4,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id',5657,5655,0.9996,'2019-12-23',4,'2019-12-24 19:20:33'),
	(5,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id',13670,13258,0.9699,'2019-12-23',5,'2019-12-24 19:20:41'),
	(6,'online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id',2549368,2547394,0.9992,'2019-12-23',6,'2019-12-24 19:20:49'),
	(13,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id',34263,34263,1,'2019-12-24',1,'2019-12-25 20:03:00'),
	(14,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id',4677,4677,1,'2019-12-24',2,'2019-12-25 20:03:10'),
	(15,'online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id',64654,64654,1,'2019-12-24',3,'2019-12-25 20:03:29'),
	(16,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id',4679,4679,1,'2019-12-24',4,'2019-12-25 20:03:32'),
	(17,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id',11500,11167,0.971,'2019-12-24',5,'2019-12-25 20:03:34'),
	(18,'online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id',2229818,2228772,0.9995,'2019-12-24',6,'2019-12-25 20:03:38'),
	(34,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id',32835,32835,1,'2019-12-25',1,'2019-12-26 20:37:01'),
	(35,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id',4407,4407,1,'2019-12-25',2,'2019-12-26 20:37:11'),
	(36,'online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id',61269,61269,1,'2019-12-25',3,'2019-12-26 20:37:31'),
	(37,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id',3968,3967,0.9997,'2019-12-25',4,'2019-12-26 20:37:39'),
	(38,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id',11567,11193,0.9677,'2019-12-25',5,'2019-12-26 20:38:12'),
	(39,'online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id',2111909,2110284,0.9992,'2019-12-25',6,'2019-12-26 20:38:20'),
	(40,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id',35322,35322,1,'2019-12-26',1,'2019-12-27 05:00:00'),
	(41,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id',4486,4486,1,'2019-12-26',2,'2019-12-27 05:00:31'),
	(42,'online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id',66459,66458,1,'2019-12-26',3,'2019-12-27 05:01:10'),
	(43,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id',4846,4844,0.9996,'2019-12-26',4,'2019-12-27 05:01:22'),
	(44,'online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id',12305,11900,0.9671,'2019-12-26',5,'2019-12-27 05:01:26'),
	(45,'online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id',2397972,2396818,0.9995,'2019-12-26',6,'2019-12-27 05:01:30');

/*!40000 ALTER TABLE `tbl_result_check_refer` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_result_check_unblank
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_result_check_unblank`;

CREATE TABLE `tbl_result_check_unblank` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `all_num` bigint(30) DEFAULT NULL COMMENT '数据总数',
  `unblank_num` bigint(30) DEFAULT NULL COMMENT '非空数据的条数',
  `unblank_rate` double DEFAULT NULL COMMENT '非空比率',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_result_check_unblank` WRITE;
/*!40000 ALTER TABLE `tbl_result_check_unblank` DISABLE KEYS */;

INSERT INTO `tbl_result_check_unblank` (`id`, `db_name`, `tb_name`, `col_name`, `all_num`, `unblank_num`, `unblank_rate`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'online','bl_hdfs_maidian_updates','params[\'card_content_type\']',43009,41822,0.9724,'2019-12-23',33,'2019-12-24 19:10:00'),
	(2,'online','bl_hdfs_maidian_updates','page_name',43009,42989,0.9995,'2019-12-23',34,'2019-12-24 19:10:08'),
	(3,'online','bl_hdfs_maidian_updates','params[\'card_id\']',43009,42951,0.9987,'2019-12-23',35,'2019-12-24 19:10:15'),
	(4,'online','bl_hdfs_maidian_updates','page_name',915590,915590,1,'2019-12-23',36,'2019-12-24 19:10:22'),
	(5,'online','ml_community_precise_exposure_detail','card_content_type',2450363,2450356,1,'2019-12-23',37,'2019-12-24 19:10:27'),
	(6,'online','ml_community_precise_exposure_detail','page_name',2450363,2447757,0.9989,'2019-12-23',38,'2019-12-24 19:10:32'),
	(7,'online','ml_community_precise_exposure_detail','card_id',2450363,2450168,0.9999,'2019-12-23',39,'2019-12-24 19:10:41'),
	(8,'online','ml_device_day_active_status','first_city',54680,43520,0.7959,'2019-12-23',40,'2019-12-24 19:10:49'),
	(9,'online','ml_device_history_detail','first_city',34928841,16614160,0.4757,'2019-12-23',41,'2019-12-24 19:10:54'),
	(19,'online','bl_hdfs_maidian_updates','page_name',37661,37655,0.9998,'2019-12-24',34,'2019-12-25 20:55:00'),
	(20,'online','bl_hdfs_maidian_updates','params[\'card_id\']',37661,37632,0.9992,'2019-12-24',35,'2019-12-25 20:55:09'),
	(21,'online','bl_hdfs_maidian_updates','page_name',774117,774117,1,'2019-12-24',36,'2019-12-25 20:55:15'),
	(22,'online','ml_community_precise_exposure_detail','card_content_type',2129998,2129998,1,'2019-12-24',37,'2019-12-25 20:55:18'),
	(23,'online','ml_community_precise_exposure_detail','page_name',2129998,2126932,0.9986,'2019-12-24',38,'2019-12-25 20:55:24'),
	(24,'online','ml_community_precise_exposure_detail','card_id',2129998,2129918,1,'2019-12-24',39,'2019-12-25 20:55:26'),
	(25,'online','ml_device_day_active_status','first_city',49732,39565,0.7956,'2019-12-24',40,'2019-12-25 20:55:28'),
	(26,'online','ml_device_history_detail','first_city',34950423,16629004,0.4758,'2019-12-24',41,'2019-12-25 20:55:34'),
	(27,'online','bl_hdfs_maidian_updates','params[\'card_content_type\']',34515,33793,0.9791,'2019-12-25',33,'2019-12-26 04:30:00'),
	(28,'online','bl_hdfs_maidian_updates','page_name',34515,34514,1,'2019-12-25',34,'2019-12-26 04:30:12'),
	(29,'online','bl_hdfs_maidian_updates','params[\'card_id\']',34515,34506,0.9997,'2019-12-25',35,'2019-12-26 04:30:13'),
	(30,'online','bl_hdfs_maidian_updates','page_name',724379,724379,1,'2019-12-25',36,'2019-12-26 04:30:18'),
	(31,'online','ml_community_precise_exposure_detail','card_content_type',1990010,1990010,1,'2019-12-25',37,'2019-12-26 04:30:19'),
	(32,'online','ml_community_precise_exposure_detail','page_name',1990010,1987245,0.9986,'2019-12-25',38,'2019-12-26 04:30:25'),
	(33,'online','ml_community_precise_exposure_detail','card_id',1990010,1989975,1,'2019-12-25',39,'2019-12-26 04:30:31'),
	(34,'online','ml_device_day_active_status','first_city',47985,38230,0.7967,'2019-12-25',40,'2019-12-26 04:30:35'),
	(35,'online','ml_device_history_detail','first_city',34970751,16642872,0.4759,'2019-12-25',41,'2019-12-26 04:30:37'),
	(36,'online','bl_hdfs_maidian_updates','params[\'card_content_type\']',40220,39322,0.9777,'2019-12-26',33,'2019-12-27 04:30:00'),
	(37,'online','bl_hdfs_maidian_updates','page_name',40220,40215,0.9999,'2019-12-26',34,'2019-12-27 04:30:06'),
	(38,'online','bl_hdfs_maidian_updates','params[\'card_id\']',40220,40203,0.9996,'2019-12-26',35,'2019-12-27 04:30:12'),
	(39,'online','bl_hdfs_maidian_updates','page_name',849407,849407,1,'2019-12-26',36,'2019-12-27 04:30:16'),
	(40,'online','ml_community_precise_exposure_detail','card_content_type',2277702,2277702,1,'2019-12-26',37,'2019-12-27 04:30:17'),
	(41,'online','ml_community_precise_exposure_detail','page_name',2277702,2274438,0.9986,'2019-12-26',38,'2019-12-27 04:30:19'),
	(42,'online','ml_community_precise_exposure_detail','card_id',2277702,2272151,0.9976,'2019-12-26',39,'2019-12-27 04:30:23'),
	(43,'online','ml_device_day_active_status','first_city',52084,41400,0.7949,'2019-12-26',40,'2019-12-27 04:30:26'),
	(44,'online','ml_device_history_detail','first_city',34995551,16660306,0.4761,'2019-12-26',41,'2019-12-27 04:30:31');

/*!40000 ALTER TABLE `tbl_result_check_unblank` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_result_check_unique
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_result_check_unique`;

CREATE TABLE `tbl_result_check_unique` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `all_num` bigint(30) DEFAULT NULL COMMENT '数据总数',
  `unique_num` bigint(30) DEFAULT NULL COMMENT '唯一数据的条数',
  `unique_rate` double DEFAULT NULL COMMENT '唯一比率',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_result_check_unique` WRITE;
/*!40000 ALTER TABLE `tbl_result_check_unique` DISABLE KEYS */;

INSERT INTO `tbl_result_check_unique` (`id`, `db_name`, `tb_name`, `col_name`, `all_num`, `unique_num`, `unique_rate`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'online','tl_account_account_view','id',23903,23903,1,'2019-12-23',1,'2019-12-24 19:00:00'),
	(2,'online','tl_hdfs_advertise_adcity_view','id',39002,39002,1,'2019-12-23',2,'2019-12-24 19:00:02'),
	(3,'online','tl_hdfs_advertise_adprovince_view','id',72401,72401,1,'2019-12-23',3,'2019-12-24 19:00:03'),
	(4,'online','tl_hdfs_advertise_adtime_view','id',4596,4596,1,'2019-12-23',4,'2019-12-24 19:00:04'),
	(5,'online','tl_hdfs_advertise_advertise_view','id',92,92,1,'2019-12-23',5,'2019-12-24 19:00:05'),
	(6,'online','tl_hdfs_advertise_contenttype_view','id',34,34,1,'2019-12-23',6,'2019-12-24 19:00:05'),
	(7,'online','tl_hdfs_advertise_customad_view','id',1561,1561,1,'2019-12-23',7,'2019-12-24 19:00:06'),
	(8,'online','tl_hdfs_advertise_factorprice_view','id',17255,17255,1,'2019-12-23',8,'2019-12-24 19:00:07'),
	(9,'online','tl_hdfs_city_view','id',471,471,1,'2019-12-23',9,'2019-12-24 19:00:08'),
	(10,'online','tl_hdfs_doctor_view','id',23903,23903,1,'2019-12-23',10,'2019-12-24 19:00:09'),
	(11,'online','tl_hdfs_hippo_merchant_view','id',9098,9098,1,'2019-12-23',11,'2019-12-24 19:00:10'),
	(12,'online','tl_hdfs_hospital_view','id',8910,8910,1,'2019-12-23',12,'2019-12-24 19:00:11'),
	(13,'online','tl_hdfs_region_view','id',9,9,1,'2019-12-23',13,'2019-12-24 19:00:11'),
	(14,'online','tl_hdfs_trade_adordercity_view','adorder_id',28021,24960,1,'2019-12-23',14,'2019-12-24 19:00:12'),
	(15,'online','tl_meigou_order_view','id',2395851,2395851,1,'2019-12-23',15,'2019-12-24 19:00:13'),
	(16,'online','tl_meigou_service_view','id',166967,166967,1,'2019-12-23',16,'2019-12-24 19:01:21'),
	(17,'online','tl_trade_adorder_view','id',48316,48316,1,'2019-12-23',17,'2019-12-24 19:01:23'),
	(18,'online','bl_city_updates','city_id',471,471,1,'2019-12-23',18,'2019-12-24 19:01:24'),
	(19,'online','ml_device_day_active_status','device_id',54680,54680,1,'2019-12-23',19,'2019-12-24 19:01:26'),
	(20,'online','ml_device_history_detail','device_id',34928841,34928841,1,'2019-12-23',20,'2019-12-24 19:01:27'),
	(21,'online','ml_device_month_active_status','device_id',0,0,0,'2019-12-23',21,'2019-12-24 19:01:46'),
	(22,'online','ml_device_updates','device_id',54680,54680,1,'2019-12-23',22,'2019-12-24 19:01:49'),
	(23,'online','ml_device_week_active_status','device_id',0,0,0,'2019-12-23',23,'2019-12-24 19:01:54'),
	(24,'online','ml_diary_relation_dimen_day','diary_id',2332840,2332840,1,'2019-12-23',24,'2019-12-24 19:01:56'),
	(25,'online','ml_doctor_adorder_detail_day','operate_id',25487,25487,1,'2019-12-23',25,'2019-12-24 19:02:03'),
	(26,'online','ml_doctor_relation_dimen_day','doctor_id',23903,23903,1,'2019-12-23',26,'2019-12-24 19:02:11'),
	(27,'online','ml_meigou_order_detail','order_id',2395851,2395851,1,'2019-12-23',27,'2019-12-24 19:02:15'),
	(28,'online','ml_trade_budan_detail_day','budan_id',88512,88512,1,'2019-12-23',28,'2019-12-24 19:02:21'),
	(29,'online','ml_trade_order_detail_day','order_id',2395851,2395851,1,'2019-12-23',29,'2019-12-24 19:02:26'),
	(30,'online','ml_user_history_detail','user_id',8008963,8008963,1,'2019-12-23',30,'2019-12-24 19:02:34'),
	(31,'online','al_device_channel_history_detail_new','device_id',35755592,35755592,1,'2019-12-23',31,'2019-12-24 19:02:47'),
	(32,'mining','ml_order_spam_recognize','order_id',2395851,2395851,1,'2019-12-23',32,'2019-12-24 19:03:00'),
	(80,'online','tl_hdfs_advertise_adcity_view','id',39002,39002,1,'2019-12-24',2,'2019-12-25 20:55:00'),
	(81,'online','tl_hdfs_advertise_adprovince_view','id',72401,72401,1,'2019-12-24',3,'2019-12-25 20:55:02'),
	(82,'online','tl_hdfs_advertise_adtime_view','id',4596,4596,1,'2019-12-24',4,'2019-12-25 20:55:04'),
	(83,'online','tl_hdfs_advertise_advertise_view','id',92,92,1,'2019-12-24',5,'2019-12-25 20:55:05'),
	(84,'online','tl_hdfs_advertise_contenttype_view','id',34,34,1,'2019-12-24',6,'2019-12-25 20:55:09'),
	(85,'online','tl_hdfs_advertise_customad_view','id',1562,1562,1,'2019-12-24',7,'2019-12-25 20:55:10'),
	(86,'online','tl_hdfs_advertise_factorprice_view','id',17256,17256,1,'2019-12-24',8,'2019-12-25 20:55:12'),
	(87,'online','tl_hdfs_city_view','id',471,471,1,'2019-12-24',9,'2019-12-25 20:55:13'),
	(88,'online','tl_hdfs_doctor_view','id',23910,23910,1,'2019-12-24',10,'2019-12-25 20:55:15'),
	(89,'online','tl_hdfs_hippo_merchant_view','id',9099,9099,1,'2019-12-24',11,'2019-12-25 20:55:16'),
	(90,'online','tl_hdfs_hospital_view','id',8911,8911,1,'2019-12-24',12,'2019-12-25 20:55:19'),
	(91,'online','tl_hdfs_region_view','id',9,9,1,'2019-12-24',13,'2019-12-25 20:55:21'),
	(92,'online','tl_hdfs_trade_adordercity_view','adorder_id',28030,24968,1,'2019-12-24',14,'2019-12-25 20:55:23'),
	(93,'online','tl_meigou_order_view','id',2398697,2398697,1,'2019-12-24',15,'2019-12-25 20:55:25'),
	(94,'online','tl_meigou_service_view','id',167037,167037,1,'2019-12-24',16,'2019-12-25 20:56:27'),
	(95,'online','tl_trade_adorder_view','id',48326,48326,1,'2019-12-24',17,'2019-12-25 20:56:30'),
	(96,'online','bl_city_updates','city_id',471,471,1,'2019-12-24',18,'2019-12-25 20:56:31'),
	(97,'online','ml_device_day_active_status','device_id',49732,49732,1,'2019-12-24',19,'2019-12-25 20:56:36'),
	(98,'online','ml_device_history_detail','device_id',34950423,34950423,1,'2019-12-24',20,'2019-12-25 20:56:40'),
	(99,'online','ml_device_month_active_status','device_id',0,0,0,'2019-12-24',21,'2019-12-25 20:56:53'),
	(100,'online','ml_device_updates','device_id',49732,49732,1,'2019-12-24',22,'2019-12-25 20:56:55'),
	(101,'online','ml_device_week_active_status','device_id',0,0,0,'2019-12-24',23,'2019-12-25 20:57:00'),
	(102,'online','ml_diary_relation_dimen_day','diary_id',2334349,2334349,1,'2019-12-24',24,'2019-12-25 20:57:03'),
	(103,'online','ml_doctor_adorder_detail_day','operate_id',25497,25497,1,'2019-12-24',25,'2019-12-25 20:57:08'),
	(104,'online','ml_doctor_relation_dimen_day','doctor_id',23910,23910,1,'2019-12-24',26,'2019-12-25 20:57:13'),
	(105,'online','ml_meigou_order_detail','order_id',2398697,2398697,1,'2019-12-24',27,'2019-12-25 20:57:18'),
	(106,'online','ml_trade_budan_detail_day','budan_id',88654,88654,1,'2019-12-24',28,'2019-12-25 20:57:24'),
	(107,'online','ml_trade_order_detail_day','order_id',2398697,2398697,1,'2019-12-24',29,'2019-12-25 20:57:25'),
	(108,'online','ml_user_history_detail','user_id',8013142,8013142,1,'2019-12-24',30,'2019-12-25 20:57:32'),
	(109,'online','al_device_channel_history_detail_new','device_id',35777313,35777313,1,'2019-12-24',31,'2019-12-25 20:57:37'),
	(110,'mining','ml_order_spam_recognize','order_id',2398697,2398697,1,'2019-12-24',32,'2019-12-25 20:57:48'),
	(111,'online','tl_account_account_view','id',23924,23924,1,'2019-12-25',1,'2019-12-26 04:00:00'),
	(112,'online','tl_hdfs_advertise_adcity_view','id',39002,39002,1,'2019-12-25',2,'2019-12-26 04:00:03'),
	(113,'online','tl_hdfs_advertise_adprovince_view','id',72401,72401,1,'2019-12-25',3,'2019-12-26 04:00:06'),
	(114,'online','tl_hdfs_advertise_adtime_view','id',4596,4596,1,'2019-12-25',4,'2019-12-26 04:00:08'),
	(115,'online','tl_hdfs_advertise_advertise_view','id',92,92,1,'2019-12-25',5,'2019-12-26 04:00:10'),
	(116,'online','tl_hdfs_advertise_contenttype_view','id',34,34,1,'2019-12-25',6,'2019-12-26 04:00:13'),
	(117,'online','tl_hdfs_advertise_customad_view','id',1565,1565,1,'2019-12-25',7,'2019-12-26 04:00:14'),
	(118,'online','tl_hdfs_advertise_factorprice_view','id',17259,17259,1,'2019-12-25',8,'2019-12-26 04:00:17'),
	(119,'online','tl_hdfs_city_view','id',471,471,1,'2019-12-25',9,'2019-12-26 04:00:19'),
	(120,'online','tl_hdfs_doctor_view','id',23924,23924,1,'2019-12-25',10,'2019-12-26 04:00:21'),
	(121,'online','tl_hdfs_hippo_merchant_view','id',9099,9099,1,'2019-12-25',11,'2019-12-26 04:00:25'),
	(122,'online','tl_hdfs_hospital_view','id',8911,8911,1,'2019-12-25',12,'2019-12-26 04:00:26'),
	(123,'online','tl_hdfs_region_view','id',9,9,1,'2019-12-25',13,'2019-12-26 04:00:29'),
	(124,'online','tl_hdfs_trade_adordercity_view','adorder_id',28037,24975,1,'2019-12-25',14,'2019-12-26 04:00:30'),
	(125,'online','tl_meigou_order_view','id',2401315,2401315,1,'2019-12-25',15,'2019-12-26 04:00:32'),
	(126,'online','tl_meigou_service_view','id',167113,167113,1,'2019-12-25',16,'2019-12-26 04:02:30'),
	(127,'online','tl_trade_adorder_view','id',48338,48338,1,'2019-12-25',17,'2019-12-26 04:02:36'),
	(128,'online','bl_city_updates','city_id',471,471,1,'2019-12-25',18,'2019-12-26 04:02:42'),
	(129,'online','ml_device_day_active_status','device_id',47985,47985,1,'2019-12-25',19,'2019-12-26 04:02:48'),
	(130,'online','ml_device_history_detail','device_id',34970751,34970751,1,'2019-12-25',20,'2019-12-26 04:02:55'),
	(131,'online','ml_device_updates','device_id',47985,47985,1,'2019-12-25',22,'2019-12-26 04:03:25'),
	(132,'online','ml_diary_relation_dimen_day','diary_id',2336726,2336726,1,'2019-12-25',24,'2019-12-26 04:03:33'),
	(133,'online','ml_doctor_adorder_detail_day','operate_id',25509,25509,1,'2019-12-25',25,'2019-12-26 04:03:42'),
	(134,'online','ml_doctor_relation_dimen_day','doctor_id',23924,23924,1,'2019-12-25',26,'2019-12-26 04:03:43'),
	(135,'online','ml_meigou_order_detail','order_id',2401315,2401315,1,'2019-12-25',27,'2019-12-26 04:03:50'),
	(136,'online','ml_trade_budan_detail_day','budan_id',88820,88820,1,'2019-12-25',28,'2019-12-26 04:03:54'),
	(137,'online','ml_trade_order_detail_day','order_id',0,0,0,'2019-12-25',29,'2019-12-26 04:04:00'),
	(138,'online','ml_user_history_detail','user_id',8016689,8016689,1,'2019-12-25',30,'2019-12-26 04:04:03'),
	(139,'online','al_device_channel_history_detail_new','device_id',0,0,0,'2019-12-25',31,'2019-12-26 04:04:12'),
	(140,'mining','ml_order_spam_recognize','order_id',2401315,2401315,1,'2019-12-25',32,'2019-12-26 04:04:14'),
	(141,'online','tl_account_account_view','id',23926,23926,1,'2019-12-26',1,'2019-12-27 04:00:00'),
	(142,'online','tl_hdfs_advertise_adcity_view','id',39002,39002,1,'2019-12-26',2,'2019-12-27 04:00:03'),
	(143,'online','tl_hdfs_advertise_adprovince_view','id',72401,72401,1,'2019-12-26',3,'2019-12-27 04:00:05'),
	(144,'online','tl_hdfs_advertise_adtime_view','id',4596,4596,1,'2019-12-26',4,'2019-12-27 04:00:18'),
	(145,'online','tl_hdfs_advertise_advertise_view','id',92,92,1,'2019-12-26',5,'2019-12-27 04:00:33'),
	(146,'online','tl_hdfs_advertise_contenttype_view','id',34,34,1,'2019-12-26',6,'2019-12-27 04:00:35'),
	(147,'online','tl_hdfs_advertise_customad_view','id',1565,1565,1,'2019-12-26',7,'2019-12-27 04:00:57'),
	(148,'online','tl_hdfs_advertise_factorprice_view','id',17259,17259,1,'2019-12-26',8,'2019-12-27 04:00:58'),
	(149,'online','tl_hdfs_city_view','id',471,471,1,'2019-12-26',9,'2019-12-27 04:01:11'),
	(150,'online','tl_hdfs_doctor_view','id',23926,23926,1,'2019-12-26',10,'2019-12-27 04:01:14'),
	(151,'online','tl_hdfs_hippo_merchant_view','id',9099,9099,1,'2019-12-26',11,'2019-12-27 04:01:38'),
	(152,'online','tl_hdfs_hospital_view','id',8911,8911,1,'2019-12-26',12,'2019-12-27 04:01:40'),
	(153,'online','tl_hdfs_region_view','id',9,9,1,'2019-12-26',13,'2019-12-27 04:01:43'),
	(154,'online','tl_hdfs_trade_adordercity_view','adorder_id',28040,24978,1,'2019-12-26',14,'2019-12-27 04:01:45'),
	(155,'online','tl_meigou_order_view','id',2404050,2404050,1,'2019-12-26',15,'2019-12-27 04:01:47'),
	(156,'online','tl_meigou_service_view','id',167176,167176,1,'2019-12-26',16,'2019-12-27 04:03:01'),
	(157,'online','tl_trade_adorder_view','id',48345,48345,1,'2019-12-26',17,'2019-12-27 04:03:06'),
	(158,'online','bl_city_updates','city_id',471,471,1,'2019-12-26',18,'2019-12-27 04:03:09'),
	(159,'online','ml_device_day_active_status','device_id',52084,52084,1,'2019-12-26',19,'2019-12-27 04:03:18'),
	(160,'online','ml_device_history_detail','device_id',34995551,34995551,1,'2019-12-26',20,'2019-12-27 04:03:23'),
	(161,'online','ml_device_updates','device_id',52084,52084,1,'2019-12-26',22,'2019-12-27 04:03:54'),
	(162,'online','ml_diary_relation_dimen_day','diary_id',2338101,2338101,1,'2019-12-26',24,'2019-12-27 04:04:05'),
	(163,'online','ml_doctor_adorder_detail_day','operate_id',25516,25516,1,'2019-12-26',25,'2019-12-27 04:04:30'),
	(164,'online','ml_doctor_relation_dimen_day','doctor_id',23926,23926,1,'2019-12-26',26,'2019-12-27 04:04:33'),
	(165,'online','ml_meigou_order_detail','order_id',2404050,2404050,1,'2019-12-26',27,'2019-12-27 04:04:35'),
	(166,'online','ml_trade_budan_detail_day','budan_id',88943,88943,1,'2019-12-26',28,'2019-12-27 04:04:37'),
	(167,'online','ml_user_history_detail','user_id',8021694,8021694,1,'2019-12-26',30,'2019-12-27 04:04:40'),
	(168,'mining','ml_order_spam_recognize','order_id',2404050,2404050,1,'2019-12-26',32,'2019-12-27 04:04:47'),
	(169,'online','ml_trade_order_detail_day','order_id',2404050,2404050,1,'2019-12-26',29,'2019-12-27 04:50:00'),
	(170,'online','al_device_channel_history_detail_new','device_id',35822645,35822645,1,'2019-12-26',31,'2019-12-27 05:50:00');

/*!40000 ALTER TABLE `tbl_result_check_unique` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_result_monitor_special
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_result_monitor_special`;

CREATE TABLE `tbl_result_monitor_special` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `time_col_name` varchar(45) DEFAULT NULL COMMENT '时间数据列名',
  `indicator_type` varchar(45) DEFAULT NULL COMMENT '指标类型',
  `indicator_value` bigint(30) DEFAULT NULL COMMENT '指标值',
  `start_time` varchar(45) DEFAULT NULL COMMENT '数据起始校验时间：0 近一天；1 近两天；2 近三天；3 近一周；4 近一个月',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_result_monitor_special` WRITE;
/*!40000 ALTER TABLE `tbl_result_monitor_special` DISABLE KEYS */;

INSERT INTO `tbl_result_monitor_special` (`id`, `db_name`, `tb_name`, `time_col_name`, `indicator_type`, `indicator_value`, `start_time`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'online','tl_finance_financeexpand_view','flow_time','PV',2567,'\'2019-12-23 00:00:00.0\'','2019-12-23',1,'2019-12-24 19:40:00'),
	(2,'online','tl_finance_financerevenue_view','flow_time','PV',21,'\'2019-12-23 00:00:00.0\'','2019-12-23',2,'2019-12-24 19:40:01'),
	(3,'online','tl_hdfs_promotion_channel_view','active_time','PV',0,'\'2019-12-23 00:00:00.0\'','2019-12-23',3,'2019-12-24 19:40:01'),
	(7,'online','tl_finance_financeexpand_view','flow_time','PV',2650,'\'2019-12-24 00:00:00.0\'','2019-12-24',1,'2019-12-25 20:10:00'),
	(8,'online','tl_finance_financerevenue_view','flow_time','PV',20,'\'2019-12-24 00:00:00.0\'','2019-12-24',2,'2019-12-25 20:10:01'),
	(9,'online','tl_hdfs_promotion_channel_view','active_time','PV',0,'\'2019-12-24 00:00:00.0\'','2019-12-24',3,'2019-12-25 20:10:01'),
	(10,'online','tl_finance_financeexpand_view','flow_time','PV',2650,'\'2019-12-24 00:00:00.0\'','2019-12-25',1,'2019-12-26 06:00:00'),
	(11,'online','tl_finance_financerevenue_view','flow_time','PV',20,'\'2019-12-24 00:00:00.0\'','2019-12-25',2,'2019-12-26 06:00:01'),
	(12,'online','tl_hdfs_promotion_channel_view','active_time','PV',0,'\'2019-12-24 00:00:00.0\'','2019-12-25',3,'2019-12-26 06:00:01'),
	(13,'online','tl_finance_financeexpand_view','flow_time','PV',2650,'\'2019-12-24 00:00:00.0\'','2019-12-26',1,'2019-12-27 06:00:00'),
	(14,'online','tl_finance_financerevenue_view','flow_time','PV',20,'\'2019-12-24 00:00:00.0\'','2019-12-26',2,'2019-12-27 06:00:01'),
	(15,'online','tl_hdfs_promotion_channel_view','active_time','PV',0,'\'2019-12-24 00:00:00.0\'','2019-12-26',3,'2019-12-27 06:00:02');

/*!40000 ALTER TABLE `tbl_result_monitor_special` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_result_monitor_volatility
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_result_monitor_volatility`;

CREATE TABLE `tbl_result_monitor_volatility` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `indicator_type` varchar(25) DEFAULT NULL COMMENT '指标类型',
  `indicator_value` bigint(30) DEFAULT NULL COMMENT '指标值',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_result_monitor_volatility` WRITE;
/*!40000 ALTER TABLE `tbl_result_monitor_volatility` DISABLE KEYS */;

INSERT INTO `tbl_result_monitor_volatility` (`id`, `db_name`, `tb_name`, `col_name`, `indicator_type`, `indicator_value`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'online','bl_hdfs_maidian_updates','cl_id','PV',156425,'2019-12-23',1,'2019-12-24 19:30:00'),
	(2,'online','bl_hdfs_maidian_updates','cl_id','PV',18955,'2019-12-23',2,'2019-12-24 19:30:05'),
	(3,'online','bl_hdfs_maidian_updates','cl_id','PV',25029,'2019-12-23',3,'2019-12-24 19:30:12'),
	(4,'online','bl_hdfs_maidian_updates','cl_id','PV',19466,'2019-12-23',4,'2019-12-24 19:30:17'),
	(5,'online','bl_hdfs_maidian_updates','cl_id','PV',68609,'2019-12-23',5,'2019-12-24 19:30:22'),
	(6,'online','bl_hdfs_maidian_updates','cl_id','PV',37313,'2019-12-23',6,'2019-12-24 19:30:27'),
	(7,'online','bl_hdfs_maidian_updates','cl_id','PV',3121866,'2019-12-23',13,'2019-12-24 19:30:29'),
	(8,'online','bl_hdfs_maidian_updates','cl_id','PV',176394,'2019-12-23',15,'2019-12-24 19:30:30'),
	(9,'online','bl_hdfs_maidian_updates','cl_id','PV',151138,'2019-12-23',17,'2019-12-24 19:30:32'),
	(10,'online','ml_device_day_active_status','device_id','PV',14032,'2019-12-23',19,'2019-12-24 19:30:33'),
	(11,'online','ml_device_day_active_status','device_id','PV',12570,'2019-12-23',20,'2019-12-24 19:30:37'),
	(12,'online','ml_device_day_active_status','device_id','PV',193,'2019-12-23',21,'2019-12-24 19:30:41'),
	(13,'online','ml_device_day_active_status','device_id','PV',26608,'2019-12-23',22,'2019-12-24 19:30:45'),
	(14,'online','ml_device_day_active_status','device_id','PV',1277,'2019-12-23',23,'2019-12-24 19:30:49'),
	(56,'online','bl_hdfs_maidian_updates','cl_id','PV',135379,'2019-12-24',1,'2019-12-25 20:58:00'),
	(57,'online','bl_hdfs_maidian_updates','cl_id','PV',15759,'2019-12-24',2,'2019-12-25 20:58:01'),
	(58,'online','bl_hdfs_maidian_updates','cl_id','PV',20239,'2019-12-24',3,'2019-12-25 20:58:01'),
	(59,'online','bl_hdfs_maidian_updates','cl_id','PV',17548,'2019-12-24',4,'2019-12-25 20:58:02'),
	(60,'online','bl_hdfs_maidian_updates','cl_id','PV',64654,'2019-12-24',5,'2019-12-25 20:58:04'),
	(61,'online','bl_hdfs_maidian_updates','cl_id','PV',34263,'2019-12-24',6,'2019-12-25 20:58:04'),
	(62,'online','bl_hdfs_maidian_updates','cl_id','PV',2710415,'2019-12-24',13,'2019-12-25 20:58:05'),
	(63,'online','bl_hdfs_maidian_updates','cl_id','PV',157879,'2019-12-24',15,'2019-12-25 20:58:06'),
	(64,'online','bl_hdfs_maidian_updates','cl_id','PV',134977,'2019-12-24',17,'2019-12-25 20:58:07'),
	(65,'online','ml_device_day_active_status','device_id','PV',10245,'2019-12-24',19,'2019-12-25 20:58:08'),
	(66,'online','ml_device_day_active_status','device_id','PV',11186,'2019-12-24',20,'2019-12-25 20:58:11'),
	(67,'online','ml_device_day_active_status','device_id','PV',151,'2019-12-24',21,'2019-12-25 20:58:16'),
	(68,'online','ml_device_day_active_status','device_id','PV',26733,'2019-12-24',22,'2019-12-25 20:58:19'),
	(69,'online','ml_device_day_active_status','device_id','PV',1417,'2019-12-24',23,'2019-12-25 20:58:23'),
	(70,'online','bl_hdfs_maidian_updates','cl_id','PV',128817,'2019-12-25',1,'2019-12-26 05:30:00'),
	(71,'online','bl_hdfs_maidian_updates','cl_id','PV',15805,'2019-12-25',2,'2019-12-26 05:30:07'),
	(72,'online','bl_hdfs_maidian_updates','cl_id','PV',18714,'2019-12-25',3,'2019-12-26 05:30:12'),
	(73,'online','bl_hdfs_maidian_updates','cl_id','PV',16698,'2019-12-25',4,'2019-12-26 05:30:17'),
	(74,'online','bl_hdfs_maidian_updates','cl_id','PV',61269,'2019-12-25',5,'2019-12-26 05:30:22'),
	(75,'online','bl_hdfs_maidian_updates','cl_id','PV',32835,'2019-12-25',6,'2019-12-26 05:30:27'),
	(76,'online','bl_hdfs_maidian_updates','cl_id','PV',2561946,'2019-12-25',13,'2019-12-26 05:30:32'),
	(77,'online','bl_hdfs_maidian_updates','cl_id','PV',154079,'2019-12-25',15,'2019-12-26 05:30:37'),
	(78,'online','bl_hdfs_maidian_updates','cl_id','PV',131499,'2019-12-25',17,'2019-12-26 05:30:50'),
	(79,'online','ml_device_day_active_status','device_id','PV',9610,'2019-12-25',19,'2019-12-26 05:30:55'),
	(80,'online','ml_device_day_active_status','device_id','PV',10419,'2019-12-25',20,'2019-12-26 05:30:58'),
	(81,'online','ml_device_day_active_status','device_id','PV',299,'2019-12-25',21,'2019-12-26 05:31:02'),
	(82,'online','ml_device_day_active_status','device_id','PV',26379,'2019-12-25',22,'2019-12-26 05:31:06'),
	(83,'online','ml_device_day_active_status','device_id','PV',1278,'2019-12-25',23,'2019-12-26 05:31:10'),
	(84,'online','bl_hdfs_maidian_updates','cl_id','PV',146736,'2019-12-26',1,'2019-12-27 05:30:00'),
	(85,'online','bl_hdfs_maidian_updates','cl_id','PV',16645,'2019-12-26',2,'2019-12-27 05:30:09'),
	(86,'online','bl_hdfs_maidian_updates','cl_id','PV',22041,'2019-12-26',3,'2019-12-27 05:30:11'),
	(87,'online','bl_hdfs_maidian_updates','cl_id','PV',18860,'2019-12-26',4,'2019-12-27 05:30:12'),
	(88,'online','bl_hdfs_maidian_updates','cl_id','PV',66459,'2019-12-26',5,'2019-12-27 05:30:14'),
	(89,'online','bl_hdfs_maidian_updates','cl_id','PV',35322,'2019-12-26',6,'2019-12-27 05:30:15'),
	(90,'online','bl_hdfs_maidian_updates','cl_id','UV',42779,'2019-12-26',7,'2019-12-27 05:30:16'),
	(91,'online','bl_hdfs_maidian_updates','cl_id','UV',5662,'2019-12-26',8,'2019-12-27 05:30:51'),
	(92,'online','bl_hdfs_maidian_updates','cl_id','UV',7090,'2019-12-26',9,'2019-12-27 05:30:54'),
	(93,'online','bl_hdfs_maidian_updates','cl_id','UV',6190,'2019-12-26',10,'2019-12-27 05:30:56'),
	(94,'online','bl_hdfs_maidian_updates','cl_id','UV',8445,'2019-12-26',11,'2019-12-27 05:30:58'),
	(95,'online','bl_hdfs_maidian_updates','cl_id','UV',4833,'2019-12-26',12,'2019-12-27 05:31:00'),
	(96,'online','bl_hdfs_maidian_updates','cl_id','PV',2940076,'2019-12-26',13,'2019-12-27 05:31:02'),
	(97,'online','bl_hdfs_maidian_updates','cl_id','UV',60448,'2019-12-26',14,'2019-12-27 05:31:02'),
	(98,'online','bl_hdfs_maidian_updates','cl_id','PV',168903,'2019-12-26',15,'2019-12-27 05:31:04'),
	(99,'online','bl_hdfs_maidian_updates','cl_id','UV',50595,'2019-12-26',16,'2019-12-27 05:31:05'),
	(100,'online','bl_hdfs_maidian_updates','cl_id','PV',145205,'2019-12-26',17,'2019-12-27 05:31:18'),
	(101,'online','bl_hdfs_maidian_updates','cl_id','UV',46686,'2019-12-26',18,'2019-12-27 05:31:19'),
	(102,'online','ml_device_day_active_status','device_id','PV',12576,'2019-12-26',19,'2019-12-27 05:31:21'),
	(103,'online','ml_device_day_active_status','device_id','PV',11540,'2019-12-26',20,'2019-12-27 05:31:24'),
	(104,'online','ml_device_day_active_status','device_id','PV',684,'2019-12-26',21,'2019-12-27 05:31:24'),
	(105,'online','ml_device_day_active_status','device_id','PV',26024,'2019-12-26',22,'2019-12-27 05:31:24'),
	(106,'online','ml_device_day_active_status','device_id','PV',1260,'2019-12-26',23,'2019-12-27 05:31:25');

/*!40000 ALTER TABLE `tbl_result_monitor_volatility` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_rule_info_duplex
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_rule_info_duplex`;

CREATE TABLE `tbl_rule_info_duplex` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(45) DEFAULT NULL COMMENT '校验类型',
  `check_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `check_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `check_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `refer_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `refer_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `refer_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `check_filters` text COMMENT '校验筛选条件',
  `refer_filters` text COMMENT '参照筛选条件',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效',
  `check_time` varchar(45) DEFAULT NULL COMMENT '指定的校验时间',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_rule_info_duplex` WRITE;
/*!40000 ALTER TABLE `tbl_rule_info_duplex` DISABLE KEYS */;

INSERT INTO `tbl_rule_info_duplex` (`id`, `check_type`, `check_db_name`, `check_tb_name`, `check_col_name`, `refer_db_name`, `refer_tb_name`, `refer_col_name`, `check_filters`, `refer_filters`, `threshold`, `is_valid`, `check_time`, `comment`, `create_time`)
VALUES
	(1,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id','AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\'','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:28'),
	(2,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id','AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'topic_detail\'','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:28'),
	(3,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id','AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\'','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:28'),
	(4,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id','AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'expert_detail\'','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:29'),
	(5,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id','AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'organization_detail\'','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:29'),
	(6,'refer_check','online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id','AND partition_date = #partition_date  AND city_id <> \'\' AND city_id IS NOT NULL AND city_id NOT IN (\'nationWide\',\'worldwide\',\'nationwide\')','AND partition_date = #partition_date',1,1,'* 0 5 * * ?','参照性校验','2019-12-25 21:06:29');

/*!40000 ALTER TABLE `tbl_rule_info_duplex` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_rule_info_simple
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_rule_info_simple`;

CREATE TABLE `tbl_rule_info_simple` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(45) DEFAULT NULL COMMENT '校验类型',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `time_col_name` varchar(45) DEFAULT NULL COMMENT '数据时间列名',
  `filters` text COMMENT '筛选条件',
  `indicator_type` varchar(45) DEFAULT NULL COMMENT '指标类型',
  `start_time` varchar(45) DEFAULT NULL COMMENT '开始时间',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效',
  `check_time` varchar(45) DEFAULT NULL COMMENT '指定的校验时间',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_rule_info_simple` WRITE;
/*!40000 ALTER TABLE `tbl_rule_info_simple` DISABLE KEYS */;

INSERT INTO `tbl_rule_info_simple` (`id`, `check_type`, `db_name`, `tb_name`, `col_name`, `time_col_name`, `filters`, `indicator_type`, `start_time`, `threshold`, `is_valid`, `check_time`, `comment`, `create_time`)
VALUES
	(1,'unique_check','online','tl_account_account_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:05'),
	(2,'unique_check','online','tl_hdfs_advertise_adcity_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:05'),
	(3,'unique_check','online','tl_hdfs_advertise_adprovince_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:05'),
	(4,'unique_check','online','tl_hdfs_advertise_adtime_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:05'),
	(5,'unique_check','online','tl_hdfs_advertise_advertise_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:05'),
	(6,'unique_check','online','tl_hdfs_advertise_contenttype_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(7,'unique_check','online','tl_hdfs_advertise_customad_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(8,'unique_check','online','tl_hdfs_advertise_factorprice_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(9,'unique_check','online','tl_hdfs_city_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(10,'unique_check','online','tl_hdfs_doctor_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(11,'unique_check','online','tl_hdfs_hippo_merchant_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(12,'unique_check','online','tl_hdfs_hospital_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(13,'unique_check','online','tl_hdfs_region_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(14,'unique_check','online','tl_hdfs_trade_adordercity_view','adorder_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(15,'unique_check','online','tl_meigou_order_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(16,'unique_check','online','tl_meigou_service_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:06'),
	(17,'unique_check','online','tl_trade_adorder_view','id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(18,'unique_check','online','bl_city_updates','city_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(19,'unique_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(20,'unique_check','online','ml_device_history_detail','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(21,'unique_check','online','ml_device_month_active_status','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 1 * ?','唯一性校验','2019-12-25 21:06:07'),
	(22,'unique_check','online','ml_device_updates','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(23,'unique_check','online','ml_device_week_active_status','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 ? * MON','唯一性校验','2019-12-25 21:06:07'),
	(24,'unique_check','online','ml_diary_relation_dimen_day','diary_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(25,'unique_check','online','ml_doctor_adorder_detail_day','operate_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(26,'unique_check','online','ml_doctor_relation_dimen_day','doctor_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(27,'unique_check','online','ml_meigou_order_detail','order_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:07'),
	(28,'unique_check','online','ml_trade_budan_detail_day','budan_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:08'),
	(29,'unique_check','online','ml_trade_order_detail_day','order_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:08'),
	(30,'unique_check','online','ml_user_history_detail','user_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:08'),
	(31,'unique_check','online','al_device_channel_history_detail_new','device_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:08'),
	(32,'unique_check','mining','ml_order_spam_recognize','order_id',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 0 4 * * ?','唯一性校验','2019-12-25 21:06:08'),
	(33,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_content_type\']',NULL,'AND partition_date = #partition_date AND action = \'on_click_card\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:18'),
	(34,'unblank_check','online','bl_hdfs_maidian_updates','page_name',NULL,'AND partition_date = #partition_date AND action = \'on_click_card\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(35,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_id\']',NULL,'AND partition_date = #partition_date AND action = \'on_click_card\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(36,'unblank_check','online','bl_hdfs_maidian_updates','page_name',NULL,'AND partition_date = #partition_date AND action = \'page_view\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(37,'unblank_check','online','ml_community_precise_exposure_detail','card_content_type',NULL,'AND partition_date = #partition_date AND action = \'page_precise_exposure\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(38,'unblank_check','online','ml_community_precise_exposure_detail','page_name',NULL,'AND partition_date = #partition_date AND action = \'page_precise_exposure\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(39,'unblank_check','online','ml_community_precise_exposure_detail','card_id',NULL,'AND partition_date = #partition_date AND action = \'page_precise_exposure\'',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(40,'unblank_check','online','ml_device_day_active_status','first_city',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:19'),
	(41,'unblank_check','online','ml_device_history_detail','first_city',NULL,'AND partition_date = #partition_date',NULL,NULL,1,1,'* 30 4 * * ?','非空性校验','2019-12-25 21:06:20'),
	(42,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'home\'','PV',NULL,0,1,'* 30 5 * * ?','首页PV','2019-12-25 21:06:37'),
	(43,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_home\'','PV',NULL,0,1,'* 30 5 * * ?','美购首页PV','2019-12-25 21:06:37'),
	(44,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'category\'','PV',NULL,0,1,'* 30 5 * * ?','品类聚合页PV','2019-12-25 21:06:37'),
	(45,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'search_home\'','PV',NULL,0,1,'* 30 5 * * ?','搜索首页PV','2019-12-25 21:06:37'),
	(46,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\'','PV',NULL,0,1,'* 30 5 * * ?','美购详情页PV','2019-12-25 21:06:38'),
	(47,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\'','PV',NULL,0,1,'* 30 5 * * ?','日记本详情页PV','2019-12-25 21:06:38'),
	(48,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'home\'','UV',NULL,0,1,'* 30 5 * * ?','首页UV','2019-12-25 21:06:38'),
	(49,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_home\'','UV',NULL,0,1,'* 30 5 * * ?','美购首页UV','2019-12-25 21:06:38'),
	(50,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'category\'','UV',NULL,0,1,'* 30 5 * * ?','品类聚合UV','2019-12-25 21:06:38'),
	(51,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'search_home\'','UV',NULL,0,1,'* 30 5 * * ?','搜索首页UV','2019-12-25 21:06:38'),
	(52,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\'','UV',NULL,0,1,'* 30 5 * * ?','美购详情页UV','2019-12-25 21:06:38'),
	(53,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\'','UV',NULL,0,1,'* 30 5 * * ?','日记本详情页UV','2019-12-25 21:06:38'),
	(54,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date','PV',NULL,0,1,'* 30 5 * * ?','有设备的埋点条数','2019-12-25 21:06:38'),
	(55,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date','UV',NULL,0,1,'* 30 5 * * ?','埋点中设备数','2019-12-25 21:06:38'),
	(56,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'device_opened\'','PV',NULL,0,1,'* 30 5 * * ?','device_opended埋点PV','2019-12-25 21:06:38'),
	(57,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'device_opened\'','UV',NULL,0,1,'* 30 5 * * ?','device_opended埋点UV','2019-12-25 21:06:39'),
	(58,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'on_app_session_over\'','PV',NULL,0,1,'* 30 5 * * ?','on_app_session_over埋点PV','2019-12-25 21:06:39'),
	(59,'volatility_check','online','bl_hdfs_maidian_updates','cl_id',NULL,'AND partition_date = #partition_date  AND action = \'on_app_session_over\'','UV',NULL,0,1,'* 30 5 * * ?','on_app_session_over埋点UV','2019-12-25 21:06:39'),
	(60,'volatility_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date  AND active_type = 1','PV',NULL,0,1,'* 30 5 * * ?','新增有效活跃设备数','2019-12-25 21:06:39'),
	(61,'volatility_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date  AND active_type = 2','PV',NULL,0,1,'* 30 5 * * ?','新增无效活跃设备数','2019-12-25 21:06:39'),
	(62,'volatility_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date  AND active_type = 3','PV',NULL,0,1,'* 30 5 * * ?','新增未知活跃设备数','2019-12-25 21:06:39'),
	(63,'volatility_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date  AND active_type = 4','PV',NULL,0,1,'* 30 5 * * ?','有效老活设备数','2019-12-25 21:06:39'),
	(64,'volatility_check','online','ml_device_day_active_status','device_id',NULL,'AND partition_date = #partition_date  AND active_type = 8','PV',NULL,0,1,'* 30 5 * * ?','未知老活设备数','2019-12-25 21:06:39'),
	(65,'special_check','online','tl_finance_financeexpand_view','1','flow_time','AND partition_date = #partition_date','PV','2019-12-24 00:00:00.0',0,1,'* 0 6 * * ?','特殊性校验','2019-12-25 21:06:48'),
	(66,'special_check','online','tl_finance_financerevenue_view','1','flow_time','AND partition_date = #partition_date','PV','2019-12-24 00:00:00.0',0,1,'* 0 6 * * ?','特殊性校验','2019-12-25 21:06:48'),
	(67,'special_check','online','tl_hdfs_promotion_channel_view','1','active_time','AND partition_date = #partition_date AND platform_type =1 AND idfa rlike \'^[a-z,A-Z,0-9,\\\\-,_]*$\'','PV','2019-12-24 00:00:00.0',0,1,'* 0 6 * * ?','特殊性校验','2019-12-25 21:06:48');

/*!40000 ALTER TABLE `tbl_rule_info_simple` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_rule_template
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_rule_template`;

CREATE TABLE `tbl_rule_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(45) DEFAULT NULL COMMENT '校验类型',
  `tplt_content` text COMMENT '模板内容',
  `comment` varchar(45) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_rule_template` WRITE;
/*!40000 ALTER TABLE `tbl_rule_template` DISABLE KEYS */;

INSERT INTO `tbl_rule_template` (`id`, `check_type`, `tplt_content`, `comment`)
VALUES
	(1,'unique_check','SELECT \"#db_name\" AS DB_NAME, \"#tb_name\" AS TB_NAME, \"#col_name\" AS COL_NAME, COUNT(#col_name) AS ALL_NUM, COUNT(DISTINCT #col_name) AS UNIQUE_NUM, CAST(COUNT(#col_name) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM #db_name.#tb_name WHERE 1 = 1 #filters\n','唯一性校验'),
	(2,'unblank_check','SELECT \"#db_name\" AS DB_NAME, \"#tb_name\" AS TB_NAME, \"#col_name\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(#col_name)=\"\" OR #col_name IS NULL,NULL,#col_name)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(#col_name)=\"\" OR #col_name IS NULL,NULL,#col_name))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM #db_name.#tb_name WHERE 1 = 1 #filters\n','非空性校验'),
	(3,'refer_check','SELECT \"#check_db_name\" AS CHECK_DB_NAME, \"#check_tb_name\" AS CHECK_TB_NAME, \"#check_col_name\" AS CHECK_COL_NAME, \"#refer_db_name\" AS REFER_DB_NAME, \"#refer_tb_name\" AS REFER_TB_NAME, \"#refer_col_name\" AS REFER_COL_NAME, COUNT(t1.#check_col_name) AS ALL_NUM, COUNT(IF(t2.#refer_col_name IS NULL, NULL, t1.#check_col_name)) AS MATCHED_NUM, CAST(COUNT(IF(t2.#refer_col_name IS NULL, NULL, t1.#check_col_name)) / COUNT(t1.#check_col_name) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT #check_col_name FROM #check_db_name.#check_tb_name WHERE 1 = 1 #check_filters) t1 LEFT JOIN (SELECT #refer_col_name FROM #refer_db_name.#refer_tb_name WHERE 1 = 1 #refer_filters GROUP BY #refer_col_name) t2 ON t1.#check_col_name = t2.#refer_col_name\n','参照性校验'),
	(4,'volatility_check','SELECT \"#db_name\" AS DB_NAME, \"#tb_name\" AS TB_NAME, \"#col_name\" AS COL_NAME, \"#indicator_type\" AS INDICATOR_TYPE, #indicator_expre AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM #db_name.#tb_name WHERE 1 = 1 #filters','波动性监控'),
	(5,'special_check','SELECT \"#db_name\" AS DB_NAME, \"#tb_name\" AS TB_NAME, \"#time_col_name\" AS TIME_COL_NAME, \"#start_time\" AS START_TIME, \"#end_time\" AS END_TIME, \"#indicator_type\" AS INDICATOR_TYPE, #indicator_expre AS INDICATOR_VALUE,DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM #db_name.#tb_name WHERE #time_col_name >= #start_time AND #time_col_name < #end_time #filters\n','特殊性监控');

/*!40000 ALTER TABLE `tbl_rule_template` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_sql_check_duplex
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_sql_check_duplex`;

CREATE TABLE `tbl_sql_check_duplex` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(25) DEFAULT NULL COMMENT '校验类型',
  `check_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `check_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `check_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `refer_db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `refer_tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `refer_col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `sql_content` text COMMENT 'SQL脚本内容',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效 正常：1；禁用：0',
  `check_time` varchar(45) DEFAULT NULL COMMENT '校验时间crontab表达式',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `parent_id` int(11) DEFAULT NULL COMMENT '上层ID',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_sql_check_duplex` WRITE;
/*!40000 ALTER TABLE `tbl_sql_check_duplex` DISABLE KEYS */;

INSERT INTO `tbl_sql_check_duplex` (`id`, `check_type`, `check_db_name`, `check_tb_name`, `check_col_name`, `refer_db_name`, `refer_tb_name`, `refer_col_name`, `sql_content`, `threshold`, `is_valid`, `check_time`, `comment`, `parent_id`, `create_time`)
VALUES
	(1,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_diary_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"business_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_hdfs_diary_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.business_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) / COUNT(t1.business_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT business_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\') t1 LEFT JOIN (SELECT id FROM online.tl_hdfs_diary_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.business_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',1,'2019-12-25 21:06:28'),
	(2,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_problem_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"business_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_hdfs_problem_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.business_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) / COUNT(t1.business_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT business_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'topic_detail\') t1 LEFT JOIN (SELECT id FROM online.tl_hdfs_problem_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.business_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',2,'2019-12-25 21:06:28'),
	(3,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_meigou_service_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"business_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_meigou_service_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.business_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) / COUNT(t1.business_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT business_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\') t1 LEFT JOIN (SELECT id FROM online.tl_meigou_service_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.business_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',3,'2019-12-25 21:06:28'),
	(4,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_doctor_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"business_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_hdfs_doctor_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.business_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) / COUNT(t1.business_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT business_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'expert_detail\') t1 LEFT JOIN (SELECT id FROM online.tl_hdfs_doctor_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.business_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',4,'2019-12-25 21:06:29'),
	(5,'refer_check','online','bl_hdfs_maidian_updates','business_id','online','tl_hdfs_hospital_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"business_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_hdfs_hospital_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.business_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.business_id)) / COUNT(t1.business_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT business_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'organization_detail\') t1 LEFT JOIN (SELECT id FROM online.tl_hdfs_hospital_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.business_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',5,'2019-12-25 21:06:29'),
	(6,'refer_check','online','bl_hdfs_maidian_updates','city_id','online','tl_hdfs_city_view','id','SELECT \"online\" AS CHECK_DB_NAME, \"bl_hdfs_maidian_updates\" AS CHECK_TB_NAME, \"city_id\" AS CHECK_COL_NAME, \"online\" AS REFER_DB_NAME, \"tl_hdfs_city_view\" AS REFER_TB_NAME, \"id\" AS REFER_COL_NAME, COUNT(t1.city_id) AS ALL_NUM, COUNT(IF(t2.id IS NULL, NULL, t1.city_id)) AS MATCHED_NUM, CAST(COUNT(IF(t2.id IS NULL, NULL, t1.city_id)) / COUNT(t1.city_id) AS DECIMAL(10,4)) AS MATCHED_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM (SELECT city_id FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND city_id <> \'\' AND city_id IS NOT NULL AND city_id NOT IN (\'nationWide\',\'worldwide\',\'nationwide\')) t1 LEFT JOIN (SELECT id FROM online.tl_hdfs_city_view WHERE 1 = 1 AND partition_date = #partition_date  GROUP BY id) t2 ON t1.city_id = t2.id',1,1,'* 0 5 * * ?','参照性校验',6,'2019-12-25 21:06:29');

/*!40000 ALTER TABLE `tbl_sql_check_duplex` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_sql_check_single
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_sql_check_single`;

CREATE TABLE `tbl_sql_check_single` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(25) DEFAULT NULL COMMENT '校验类型',
  `db_name` varchar(25) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(100) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '列名',
  `sql_content` text COMMENT 'SQL脚本内容',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效 正常：1；禁用：0',
  `check_time` varchar(45) DEFAULT NULL COMMENT '指定的校验时间',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `parent_id` int(11) DEFAULT NULL COMMENT '上层ID',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_sql_check_single` WRITE;
/*!40000 ALTER TABLE `tbl_sql_check_single` DISABLE KEYS */;

INSERT INTO `tbl_sql_check_single` (`id`, `check_type`, `db_name`, `tb_name`, `col_name`, `sql_content`, `threshold`, `is_valid`, `check_time`, `comment`, `parent_id`, `create_time`)
VALUES
	(1,'unique_check','online','tl_account_account_view','id','SELECT \"online\" AS DB_NAME, \"tl_account_account_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_account_account_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',1,'2019-12-25 21:06:05'),
	(2,'unique_check','online','tl_hdfs_advertise_adcity_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_adcity_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_adcity_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',2,'2019-12-25 21:06:05'),
	(3,'unique_check','online','tl_hdfs_advertise_adprovince_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_adprovince_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_adprovince_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',3,'2019-12-25 21:06:05'),
	(4,'unique_check','online','tl_hdfs_advertise_adtime_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_adtime_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_adtime_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',4,'2019-12-25 21:06:05'),
	(5,'unique_check','online','tl_hdfs_advertise_advertise_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_advertise_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_advertise_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',5,'2019-12-25 21:06:05'),
	(6,'unique_check','online','tl_hdfs_advertise_contenttype_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_contenttype_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_contenttype_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',6,'2019-12-25 21:06:06'),
	(7,'unique_check','online','tl_hdfs_advertise_customad_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_customad_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_customad_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',7,'2019-12-25 21:06:06'),
	(8,'unique_check','online','tl_hdfs_advertise_factorprice_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_advertise_factorprice_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_advertise_factorprice_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',8,'2019-12-25 21:06:06'),
	(9,'unique_check','online','tl_hdfs_city_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_city_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_city_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',9,'2019-12-25 21:06:06'),
	(10,'unique_check','online','tl_hdfs_doctor_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_doctor_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_doctor_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',10,'2019-12-25 21:06:06'),
	(11,'unique_check','online','tl_hdfs_hippo_merchant_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_hippo_merchant_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_hippo_merchant_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',11,'2019-12-25 21:06:06'),
	(12,'unique_check','online','tl_hdfs_hospital_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_hospital_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_hospital_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',12,'2019-12-25 21:06:06'),
	(13,'unique_check','online','tl_hdfs_region_view','id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_region_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_region_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',13,'2019-12-25 21:06:06'),
	(14,'unique_check','online','tl_hdfs_trade_adordercity_view','adorder_id','SELECT \"online\" AS DB_NAME, \"tl_hdfs_trade_adordercity_view\" AS TB_NAME, \"adorder_id\" AS COL_NAME, COUNT(adorder_id) AS ALL_NUM, COUNT(DISTINCT adorder_id) AS UNIQUE_NUM, CAST(COUNT(adorder_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_trade_adordercity_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',14,'2019-12-25 21:06:06'),
	(15,'unique_check','online','tl_meigou_order_view','id','SELECT \"online\" AS DB_NAME, \"tl_meigou_order_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_meigou_order_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',15,'2019-12-25 21:06:06'),
	(16,'unique_check','online','tl_meigou_service_view','id','SELECT \"online\" AS DB_NAME, \"tl_meigou_service_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_meigou_service_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',16,'2019-12-25 21:06:07'),
	(17,'unique_check','online','tl_trade_adorder_view','id','SELECT \"online\" AS DB_NAME, \"tl_trade_adorder_view\" AS TB_NAME, \"id\" AS COL_NAME, COUNT(id) AS ALL_NUM, COUNT(DISTINCT id) AS UNIQUE_NUM, CAST(COUNT(id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_trade_adorder_view WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',17,'2019-12-25 21:06:07'),
	(18,'unique_check','online','bl_city_updates','city_id','SELECT \"online\" AS DB_NAME, \"bl_city_updates\" AS TB_NAME, \"city_id\" AS COL_NAME, COUNT(city_id) AS ALL_NUM, COUNT(DISTINCT city_id) AS UNIQUE_NUM, CAST(COUNT(city_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_city_updates WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',18,'2019-12-25 21:06:07'),
	(19,'unique_check','online','ml_device_day_active_status','device_id','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',19,'2019-12-25 21:06:07'),
	(20,'unique_check','online','ml_device_history_detail','device_id','SELECT \"online\" AS DB_NAME, \"ml_device_history_detail\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_history_detail WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',20,'2019-12-25 21:06:07'),
	(21,'unique_check','online','ml_device_month_active_status','device_id','SELECT \"online\" AS DB_NAME, \"ml_device_month_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_month_active_status WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 1 * ?','唯一性校验',21,'2019-12-25 21:06:07'),
	(22,'unique_check','online','ml_device_updates','device_id','SELECT \"online\" AS DB_NAME, \"ml_device_updates\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_updates WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',22,'2019-12-25 21:06:07'),
	(23,'unique_check','online','ml_device_week_active_status','device_id','SELECT \"online\" AS DB_NAME, \"ml_device_week_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_week_active_status WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 ? * MON','唯一性校验',23,'2019-12-25 21:06:07'),
	(24,'unique_check','online','ml_diary_relation_dimen_day','diary_id','SELECT \"online\" AS DB_NAME, \"ml_diary_relation_dimen_day\" AS TB_NAME, \"diary_id\" AS COL_NAME, COUNT(diary_id) AS ALL_NUM, COUNT(DISTINCT diary_id) AS UNIQUE_NUM, CAST(COUNT(diary_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_diary_relation_dimen_day WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',24,'2019-12-25 21:06:07'),
	(25,'unique_check','online','ml_doctor_adorder_detail_day','operate_id','SELECT \"online\" AS DB_NAME, \"ml_doctor_adorder_detail_day\" AS TB_NAME, \"operate_id\" AS COL_NAME, COUNT(operate_id) AS ALL_NUM, COUNT(DISTINCT operate_id) AS UNIQUE_NUM, CAST(COUNT(operate_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_doctor_adorder_detail_day WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',25,'2019-12-25 21:06:07'),
	(26,'unique_check','online','ml_doctor_relation_dimen_day','doctor_id','SELECT \"online\" AS DB_NAME, \"ml_doctor_relation_dimen_day\" AS TB_NAME, \"doctor_id\" AS COL_NAME, COUNT(doctor_id) AS ALL_NUM, COUNT(DISTINCT doctor_id) AS UNIQUE_NUM, CAST(COUNT(doctor_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_doctor_relation_dimen_day WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',26,'2019-12-25 21:06:07'),
	(27,'unique_check','online','ml_meigou_order_detail','order_id','SELECT \"online\" AS DB_NAME, \"ml_meigou_order_detail\" AS TB_NAME, \"order_id\" AS COL_NAME, COUNT(order_id) AS ALL_NUM, COUNT(DISTINCT order_id) AS UNIQUE_NUM, CAST(COUNT(order_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_meigou_order_detail WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',27,'2019-12-25 21:06:08'),
	(28,'unique_check','online','ml_trade_budan_detail_day','budan_id','SELECT \"online\" AS DB_NAME, \"ml_trade_budan_detail_day\" AS TB_NAME, \"budan_id\" AS COL_NAME, COUNT(budan_id) AS ALL_NUM, COUNT(DISTINCT budan_id) AS UNIQUE_NUM, CAST(COUNT(budan_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_trade_budan_detail_day WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',28,'2019-12-25 21:06:08'),
	(29,'unique_check','online','ml_trade_order_detail_day','order_id','SELECT \"online\" AS DB_NAME, \"ml_trade_order_detail_day\" AS TB_NAME, \"order_id\" AS COL_NAME, COUNT(order_id) AS ALL_NUM, COUNT(DISTINCT order_id) AS UNIQUE_NUM, CAST(COUNT(order_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_trade_order_detail_day WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 50 4 * * ?','唯一性校验',29,'2019-12-25 21:06:08'),
	(30,'unique_check','online','ml_user_history_detail','user_id','SELECT \"online\" AS DB_NAME, \"ml_user_history_detail\" AS TB_NAME, \"user_id\" AS COL_NAME, COUNT(user_id) AS ALL_NUM, COUNT(DISTINCT user_id) AS UNIQUE_NUM, CAST(COUNT(user_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_user_history_detail WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',30,'2019-12-25 21:06:08'),
	(31,'unique_check','online','al_device_channel_history_detail_new','device_id','SELECT \"online\" AS DB_NAME, \"al_device_channel_history_detail_new\" AS TB_NAME, \"device_id\" AS COL_NAME, COUNT(device_id) AS ALL_NUM, COUNT(DISTINCT device_id) AS UNIQUE_NUM, CAST(COUNT(device_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.al_device_channel_history_detail_new WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 50 5 * * ?','唯一性校验',31,'2019-12-25 21:06:08'),
	(32,'unique_check','mining','ml_order_spam_recognize','order_id','SELECT \"mining\" AS DB_NAME, \"ml_order_spam_recognize\" AS TB_NAME, \"order_id\" AS COL_NAME, COUNT(order_id) AS ALL_NUM, COUNT(DISTINCT order_id) AS UNIQUE_NUM, CAST(COUNT(order_id) / COUNT(*) AS DECIMAL(10,4)) AS UNIQUE_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM mining.ml_order_spam_recognize WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 0 4 * * ?','唯一性校验',32,'2019-12-25 21:06:08'),
	(33,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_content_type\']','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"params[\'card_content_type\']\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(params[\'card_content_type\'])=\"\" OR params[\'card_content_type\'] IS NULL,NULL,params[\'card_content_type\'])) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(params[\'card_content_type\'])=\"\" OR params[\'card_content_type\'] IS NULL,NULL,params[\'card_content_type\']))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date AND action = \'on_click_card\'',1,1,'* 30 4 * * ?','非空性校验',33,'2019-12-25 21:06:19'),
	(34,'unblank_check','online','bl_hdfs_maidian_updates','page_name','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"page_name\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date AND action = \'on_click_card\'',1,1,'* 30 4 * * ?','非空性校验',34,'2019-12-25 21:06:19'),
	(35,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_id\']','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"params[\'card_id\']\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(params[\'card_id\'])=\"\" OR params[\'card_id\'] IS NULL,NULL,params[\'card_id\'])) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(params[\'card_id\'])=\"\" OR params[\'card_id\'] IS NULL,NULL,params[\'card_id\']))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date AND action = \'on_click_card\'',1,1,'* 30 4 * * ?','非空性校验',35,'2019-12-25 21:06:19'),
	(36,'unblank_check','online','bl_hdfs_maidian_updates','page_name','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"page_name\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date AND action = \'page_view\'',1,1,'* 30 4 * * ?','非空性校验',36,'2019-12-25 21:06:19'),
	(37,'unblank_check','online','ml_community_precise_exposure_detail','card_content_type','SELECT \"online\" AS DB_NAME, \"ml_community_precise_exposure_detail\" AS TB_NAME, \"card_content_type\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(card_content_type)=\"\" OR card_content_type IS NULL,NULL,card_content_type)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(card_content_type)=\"\" OR card_content_type IS NULL,NULL,card_content_type))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_community_precise_exposure_detail WHERE 1 = 1 AND partition_date = #partition_date AND action = \'page_precise_exposure\'',1,1,'* 30 4 * * ?','非空性校验',37,'2019-12-25 21:06:19'),
	(38,'unblank_check','online','ml_community_precise_exposure_detail','page_name','SELECT \"online\" AS DB_NAME, \"ml_community_precise_exposure_detail\" AS TB_NAME, \"page_name\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(page_name)=\"\" OR page_name IS NULL,NULL,page_name))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_community_precise_exposure_detail WHERE 1 = 1 AND partition_date = #partition_date AND action = \'page_precise_exposure\'',1,1,'* 30 4 * * ?','非空性校验',38,'2019-12-25 21:06:19'),
	(39,'unblank_check','online','ml_community_precise_exposure_detail','card_id','SELECT \"online\" AS DB_NAME, \"ml_community_precise_exposure_detail\" AS TB_NAME, \"card_id\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(card_id)=\"\" OR card_id IS NULL,NULL,card_id)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(card_id)=\"\" OR card_id IS NULL,NULL,card_id))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_community_precise_exposure_detail WHERE 1 = 1 AND partition_date = #partition_date AND action = \'page_precise_exposure\'',1,1,'* 30 4 * * ?','非空性校验',39,'2019-12-25 21:06:19'),
	(40,'unblank_check','online','ml_device_day_active_status','first_city','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"first_city\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(first_city)=\"\" OR first_city IS NULL,NULL,first_city)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(first_city)=\"\" OR first_city IS NULL,NULL,first_city))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 30 4 * * ?','非空性校验',40,'2019-12-25 21:06:19'),
	(41,'unblank_check','online','ml_device_history_detail','first_city','SELECT \"online\" AS DB_NAME, \"ml_device_history_detail\" AS TB_NAME, \"first_city\" AS COL_NAME, COUNT(*) AS ALL_NUM, COUNT(IF(TRIM(first_city)=\"\" OR first_city IS NULL,NULL,first_city)) AS UNBLANK_NUM, CAST(COUNT(IF(TRIM(first_city)=\"\" OR first_city IS NULL,NULL,first_city))/COUNT(*) AS DECIMAL(10,4)) AS UNBLANK_RATE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_history_detail WHERE 1 = 1 AND partition_date = #partition_date',1,1,'* 30 4 * * ?','非空性校验',41,'2019-12-25 21:06:20');

/*!40000 ALTER TABLE `tbl_sql_check_single` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_sql_monitor_special
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_sql_monitor_special`;

CREATE TABLE `tbl_sql_monitor_special` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(25) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(100) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `time_col_name` varchar(45) DEFAULT NULL COMMENT '时间数据列名',
  `indicator_type` varchar(45) DEFAULT NULL COMMENT '指标类型',
  `start_time` varchar(45) DEFAULT NULL COMMENT '开始时间',
  `sql_content` text COMMENT 'SQL脚本内容',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效 正常：1；禁用：0',
  `check_time` varchar(45) DEFAULT NULL COMMENT '校验时间crontab表达式',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `parent_id` int(11) DEFAULT NULL COMMENT '上层ID',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_sql_monitor_special` WRITE;
/*!40000 ALTER TABLE `tbl_sql_monitor_special` DISABLE KEYS */;

INSERT INTO `tbl_sql_monitor_special` (`id`, `db_name`, `tb_name`, `col_name`, `time_col_name`, `indicator_type`, `start_time`, `sql_content`, `threshold`, `is_valid`, `check_time`, `comment`, `parent_id`, `create_time`)
VALUES
	(1,'online','tl_finance_financeexpand_view','1','flow_time','PV','2019-12-24 00:00:00.0','SELECT \"online\" AS DB_NAME, \"tl_finance_financeexpand_view\" AS TB_NAME, \"flow_time\" AS TIME_COL_NAME, \"\'2019-12-24 00:00:00.0\'\" AS START_TIME, \"\'2019-12-25 00:00:00.0\'\" AS END_TIME, \"PV\" AS INDICATOR_TYPE, COUNT(1) AS INDICATOR_VALUE,DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_finance_financeexpand_view WHERE flow_time >= \'2019-12-24 00:00:00.0\' AND flow_time < \'2019-12-25 00:00:00.0\' AND partition_date = #partition_date',0,1,'* 0 6 * * ?','特殊性校验',65,'2019-12-25 21:06:48'),
	(2,'online','tl_finance_financerevenue_view','1','flow_time','PV','2019-12-24 00:00:00.0','SELECT \"online\" AS DB_NAME, \"tl_finance_financerevenue_view\" AS TB_NAME, \"flow_time\" AS TIME_COL_NAME, \"\'2019-12-24 00:00:00.0\'\" AS START_TIME, \"\'2019-12-25 00:00:00.0\'\" AS END_TIME, \"PV\" AS INDICATOR_TYPE, COUNT(1) AS INDICATOR_VALUE,DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_finance_financerevenue_view WHERE flow_time >= \'2019-12-24 00:00:00.0\' AND flow_time < \'2019-12-25 00:00:00.0\' AND partition_date = #partition_date',0,1,'* 0 6 * * ?','特殊性校验',66,'2019-12-25 21:06:48'),
	(3,'online','tl_hdfs_promotion_channel_view','1','active_time','PV','2019-12-24 00:00:00.0','SELECT \"online\" AS DB_NAME, \"tl_hdfs_promotion_channel_view\" AS TB_NAME, \"active_time\" AS TIME_COL_NAME, \"\'2019-12-24 00:00:00.0\'\" AS START_TIME, \"\'2019-12-25 00:00:00.0\'\" AS END_TIME, \"PV\" AS INDICATOR_TYPE, COUNT(1) AS INDICATOR_VALUE,DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.tl_hdfs_promotion_channel_view WHERE active_time >= \'2019-12-24 00:00:00.0\' AND active_time < \'2019-12-25 00:00:00.0\' AND partition_date = #partition_date AND platform_type =1 AND idfa rlike \'^[a-z,A-Z,0-9,\\-,_]*$\'',0,1,'* 0 6 * * ?','特殊性校验',67,'2019-12-25 21:06:48');

/*!40000 ALTER TABLE `tbl_sql_monitor_special` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_sql_monitor_volatility
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_sql_monitor_volatility`;

CREATE TABLE `tbl_sql_monitor_volatility` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `db_name` varchar(25) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(100) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `indicator_type` varchar(25) DEFAULT NULL COMMENT '指标类型',
  `sql_content` text COMMENT 'SQL脚本内容',
  `threshold` double DEFAULT NULL COMMENT '阈值',
  `is_valid` int(2) DEFAULT NULL COMMENT '是否有效 正常：1；禁用：0',
  `check_time` varchar(45) DEFAULT NULL COMMENT '校验时间crontab表达式',
  `comment` varchar(300) DEFAULT NULL COMMENT '备注',
  `parent_id` int(11) DEFAULT NULL COMMENT '上层ID',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_sql_monitor_volatility` WRITE;
/*!40000 ALTER TABLE `tbl_sql_monitor_volatility` DISABLE KEYS */;

INSERT INTO `tbl_sql_monitor_volatility` (`id`, `db_name`, `tb_name`, `col_name`, `indicator_type`, `sql_content`, `threshold`, `is_valid`, `check_time`, `comment`, `parent_id`, `create_time`)
VALUES
	(1,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'home\'',0,1,'* 30 5 * * ?','首页PV',42,'2019-12-25 21:06:37'),
	(2,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_home\'',0,1,'* 30 5 * * ?','美购首页PV',43,'2019-12-25 21:06:37'),
	(3,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'category\'',0,1,'* 30 5 * * ?','品类聚合页PV',44,'2019-12-25 21:06:37'),
	(4,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'search_home\'',0,1,'* 30 5 * * ?','搜索首页PV',45,'2019-12-25 21:06:37'),
	(5,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\'',0,1,'* 30 5 * * ?','美购详情页PV',46,'2019-12-25 21:06:38'),
	(6,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\'',0,1,'* 30 5 * * ?','日记本详情页PV',47,'2019-12-25 21:06:38'),
	(7,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'home\'',0,1,'* 30 5 * * ?','首页UV',48,'2019-12-25 21:06:38'),
	(8,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_home\'',0,1,'* 30 5 * * ?','美购首页UV',49,'2019-12-25 21:06:38'),
	(9,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'category\'',0,1,'* 30 5 * * ?','品类聚合UV',50,'2019-12-25 21:06:38'),
	(10,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'search_home\'',0,1,'* 30 5 * * ?','搜索首页UV',51,'2019-12-25 21:06:38'),
	(11,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'welfare_detail\'',0,1,'* 30 5 * * ?','美购详情页UV',52,'2019-12-25 21:06:38'),
	(12,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'page_view\' AND page_name = \'diary_detail\'',0,1,'* 30 5 * * ?','日记本详情页UV',53,'2019-12-25 21:06:38'),
	(13,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date',0,1,'* 30 5 * * ?','有设备的埋点条数',54,'2019-12-25 21:06:38'),
	(14,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date',0,1,'* 30 5 * * ?','埋点中设备数',55,'2019-12-25 21:06:38'),
	(15,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'device_opened\'',0,1,'* 30 5 * * ?','device_opended埋点PV',56,'2019-12-25 21:06:38'),
	(16,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'device_opened\'',0,1,'* 30 5 * * ?','device_opended埋点UV',57,'2019-12-25 21:06:39'),
	(17,'online','bl_hdfs_maidian_updates','cl_id','PV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(cl_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'on_app_session_over\'',0,1,'* 30 5 * * ?','on_app_session_over埋点PV',58,'2019-12-25 21:06:39'),
	(18,'online','bl_hdfs_maidian_updates','cl_id','UV','SELECT \"online\" AS DB_NAME, \"bl_hdfs_maidian_updates\" AS TB_NAME, \"cl_id\" AS COL_NAME, \"UV\" AS INDICATOR_TYPE, COUNT(DISTINCT(cl_id)) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.bl_hdfs_maidian_updates WHERE 1 = 1 AND partition_date = #partition_date  AND action = \'on_app_session_over\'',0,1,'* 30 5 * * ?','on_app_session_over埋点UV',59,'2019-12-25 21:06:39'),
	(19,'online','ml_device_day_active_status','device_id','PV','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(device_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date  AND active_type = 1',0,1,'* 30 5 * * ?','新增有效活跃设备数',60,'2019-12-25 21:06:39'),
	(20,'online','ml_device_day_active_status','device_id','PV','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(device_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date  AND active_type = 2',0,1,'* 30 5 * * ?','新增无效活跃设备数',61,'2019-12-25 21:06:39'),
	(21,'online','ml_device_day_active_status','device_id','PV','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(device_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date  AND active_type = 3',0,1,'* 30 5 * * ?','新增未知活跃设备数',62,'2019-12-25 21:06:39'),
	(22,'online','ml_device_day_active_status','device_id','PV','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(device_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date  AND active_type = 4',0,1,'* 30 5 * * ?','有效老活设备数',63,'2019-12-25 21:06:39'),
	(23,'online','ml_device_day_active_status','device_id','PV','SELECT \"online\" AS DB_NAME, \"ml_device_day_active_status\" AS TB_NAME, \"device_id\" AS COL_NAME, \"PV\" AS INDICATOR_TYPE, COUNT(device_id) AS INDICATOR_VALUE, DATE_ADD(from_unixtime(unix_timestamp(), \"yyyy-MM-dd\"), -1) AS PARTITION_DATE, FROM_UNIXTIME(unix_timestamp(), \"yyyy-MM-dd HH:mm:ss\") AS CREATE_TIME FROM online.ml_device_day_active_status WHERE 1 = 1 AND partition_date = #partition_date  AND active_type = 8',0,1,'* 30 5 * * ?','未知老活设备数',64,'2019-12-25 21:06:39');

/*!40000 ALTER TABLE `tbl_sql_monitor_volatility` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tbl_sys_param_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_sys_param_info`;

CREATE TABLE `tbl_sys_param_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `param_type` varchar(45) DEFAULT NULL COMMENT '参数类型',
  `param_key` varchar(60) DEFAULT NULL COMMENT '参数键',
  `param_value` varchar(100) DEFAULT NULL COMMENT '参数值',
  `comment` varchar(150) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table tbl_threshold_exceed_all
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tbl_threshold_exceed_all`;

CREATE TABLE `tbl_threshold_exceed_all` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `check_type` varchar(45) DEFAULT NULL COMMENT '校验类型',
  `db_name` varchar(45) DEFAULT NULL COMMENT '数据库名',
  `tb_name` varchar(45) DEFAULT NULL COMMENT '数据表名',
  `col_name` varchar(45) DEFAULT NULL COMMENT '数据列名',
  `all_num` bigint(30) DEFAULT NULL COMMENT '数据总数',
  `check_num` bigint(30) DEFAULT NULL COMMENT '非空数据的条数',
  `check_rate` double DEFAULT NULL COMMENT '非空比率',
  `partition_date` varchar(30) DEFAULT NULL COMMENT '校验数据的账期',
  `sql_id` int(11) DEFAULT NULL COMMENT '执行sql对应的ID',
  `create_time` varchar(45) DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `tbl_threshold_exceed_all` WRITE;
/*!40000 ALTER TABLE `tbl_threshold_exceed_all` DISABLE KEYS */;

INSERT INTO `tbl_threshold_exceed_all` (`id`, `check_type`, `db_name`, `tb_name`, `col_name`, `all_num`, `check_num`, `check_rate`, `partition_date`, `sql_id`, `create_time`)
VALUES
	(1,'refer_check','online','bl_hdfs_maidian_updates','business_id',3968,3967,0.9997,'2019-12-25',4,'2019-12-26 20:37:39'),
	(2,'refer_check','online','bl_hdfs_maidian_updates','business_id',11567,11193,0.9677,'2019-12-25',5,'2019-12-26 20:38:12'),
	(3,'refer_check','online','bl_hdfs_maidian_updates','city_id',2111909,2110284,0.9992,'2019-12-25',6,'2019-12-26 20:38:20'),
	(11,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_content_type\']',40220,39322,0.9777,'2019-12-26',33,'2019-12-27 04:30:00'),
	(12,'unblank_check','online','bl_hdfs_maidian_updates','page_name',40220,40215,0.9999,'2019-12-26',34,'2019-12-27 04:30:06'),
	(13,'unblank_check','online','bl_hdfs_maidian_updates','params[\'card_id\']',40220,40203,0.9996,'2019-12-26',35,'2019-12-27 04:30:12'),
	(14,'unblank_check','online','ml_community_precise_exposure_detail','page_name',2277702,2274438,0.9986,'2019-12-26',38,'2019-12-27 04:30:19'),
	(15,'unblank_check','online','ml_community_precise_exposure_detail','card_id',2277702,2272151,0.9976,'2019-12-26',39,'2019-12-27 04:30:23'),
	(16,'unblank_check','online','ml_device_day_active_status','first_city',52084,41400,0.7949,'2019-12-26',40,'2019-12-27 04:30:26'),
	(17,'unblank_check','online','ml_device_history_detail','first_city',34995551,16660306,0.4761,'2019-12-26',41,'2019-12-27 04:30:31'),
	(18,'refer_check','online','bl_hdfs_maidian_updates','business_id',4846,4844,0.9996,'2019-12-26',4,'2019-12-27 05:01:22'),
	(19,'refer_check','online','bl_hdfs_maidian_updates','business_id',12305,11900,0.9671,'2019-12-26',5,'2019-12-27 05:01:26'),
	(20,'refer_check','online','bl_hdfs_maidian_updates','city_id',2397972,2396818,0.9995,'2019-12-26',6,'2019-12-27 05:01:30');

/*!40000 ALTER TABLE `tbl_threshold_exceed_all` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
