package com.gmei.data.dqmp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gmei.data.dqmp.domain.TblResultMonitorSpecial;
import com.gmei.data.dqmp.domain.TblResultMonitorSpecialCriteria;
import com.gmei.data.dqmp.domain.TblResultMonitorVolatility;
import com.gmei.data.dqmp.domain.TblResultMonitorVolatilityCriteria;
import com.gmei.data.dqmp.mapper.TblResultMonitorSpecialMapper;
import com.gmei.data.dqmp.mapper.TblResultMonitorVolatilityMapper;
import com.gmei.data.dqmp.service.DashbordService;
import com.gmei.data.dqmp.vo.DashbordVo;

@Service
public class DashbordServiceImpl implements DashbordService {

	@Autowired
	private TblResultMonitorVolatilityMapper tblResultMonitorVolatilityMapper;
	@Autowired
	private TblResultMonitorSpecialMapper tblResultMonitorSpecialMapper;
	
	@Override
	public DashbordVo getDashbordInfo() {
		DashbordVo dashbordVo = new DashbordVo();
		List<String> volatilityLegendData = new ArrayList<String>();
		List<Long> volatilitySeriesData = new ArrayList<Long>();
		TblResultMonitorVolatilityCriteria example = new TblResultMonitorVolatilityCriteria();
		example.createCriteria().andSqlIdEqualTo(1);
		List<TblResultMonitorVolatility> selectByExample = tblResultMonitorVolatilityMapper.selectByExample(example);
		for(TblResultMonitorVolatility tblResultMonitorVolatility : selectByExample) {
			volatilityLegendData.add(tblResultMonitorVolatility.getPartitionDate());
			volatilitySeriesData.add(tblResultMonitorVolatility.getIndicatorValue());
		}
		dashbordVo.setVolatilityLegendData(volatilityLegendData);
		dashbordVo.setVolatilitySeriesData(volatilitySeriesData);
		
		List<String> specialLegendData = new ArrayList<String>();
		List<Long> specialSeriesData = new ArrayList<Long>();
		TblResultMonitorSpecialCriteria tblResultMonitorSpecialCriteria = new TblResultMonitorSpecialCriteria();
		tblResultMonitorSpecialCriteria.createCriteria()
			.andDbNameEqualTo("online")
			.andTbNameEqualTo("tl_finance_financeexpand_view")
			.andTimeColNameEqualTo("flow_time")
			.andIndicatorTypeEqualTo("PV");
		List<TblResultMonitorSpecial> specialList = tblResultMonitorSpecialMapper.selectByExample(tblResultMonitorSpecialCriteria);
		for(TblResultMonitorSpecial tblResultMonitorSpecial : specialList) {
			specialLegendData.add(tblResultMonitorSpecial.getPartitionDate());
			specialSeriesData.add(tblResultMonitorSpecial.getIndicatorValue());
		}
		dashbordVo.setSpecialLegendData(specialLegendData);
		dashbordVo.setSpecialSeriesData(specialSeriesData);
		
		return dashbordVo;
	}
}
