package com.gmei.data.dqmp.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Component;

import com.gmei.data.dqmp.service.MailService;


@Component
public class MailServiceImpl implements MailService{
	private static final Logger logger = LoggerFactory.getLogger(MailServiceImpl.class);

    @Autowired
    private JavaMailSender mailSender;

    @Value("${mail.fromMail.addr}")
    private String from;
    @Value("${mail.toMail.addr}")
    private String to;
    @Value("${mail.toMail.subject}")
    private String subject;

    @Override
    public void sendSimpleMail(String content) {
    	content = "数据质量监控预警触发，具体参数信息如下：\n" + content;
        SimpleMailMessage message = new SimpleMailMessage();
        message.setFrom(from);
        String[] tos = to.split(",");
        message.setTo(tos);
        message.setSubject(subject);
        message.setText(content);
        try {
            mailSender.send(message);
            logger.info("邮件已正常发送。");
        } catch (Exception e) {
            logger.error("发送邮件异常，请核实！", e);
        }
    }
}
