package com.gmei.data.dqmp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gmei.data.dqmp.common.Constants;
import com.gmei.data.dqmp.domain.TblThresholdExceedAll;
import com.gmei.data.dqmp.domain.TblThresholdExceedAllCriteria;
import com.gmei.data.dqmp.mapper.TblThresholdExceedAllMapper;
import com.gmei.data.dqmp.service.ThresholdExceedAllService;
import com.gmei.data.dqmp.utils.BeanUtils;
import com.gmei.data.dqmp.vo.ThresholdExceedAllVo;

@Service
public class ThresholdExceedAllServiceImpl implements ThresholdExceedAllService {

	@Autowired
	private TblThresholdExceedAllMapper tblThresholdExceedAllMapper;
	private static final Logger logger = LoggerFactory.getLogger(ThresholdExceedAllServiceImpl.class);

	@Override
	public boolean persistThresholdExceedAll(JSONObject jsonObject) {
		boolean rs = false;
		TblThresholdExceedAll tblThresholdExceedAll = JSON.toJavaObject(jsonObject, TblThresholdExceedAll.class);
		String checkType = jsonObject.getString("checkType");
		if (null != checkType) {
			if (Constants.CHECK_UNIQUE.equals(checkType)) {
				tblThresholdExceedAll.setCheckNum(jsonObject.getLong("uniqueNum"));
				tblThresholdExceedAll.setCheckRate(jsonObject.getDouble("uniqueRate"));
			} else if (Constants.CHECK_UNBLANK.equals(checkType)) {
				tblThresholdExceedAll.setCheckNum(jsonObject.getLong("unblankNum"));
				tblThresholdExceedAll.setCheckRate(jsonObject.getDouble("unblankRate"));
			} else if (Constants.CHECK_REFER.equals(checkType)) {
				tblThresholdExceedAll.setDbName(jsonObject.getString("checkDbName"));
				tblThresholdExceedAll.setTbName(jsonObject.getString("checkTbName"));
				tblThresholdExceedAll.setColName(jsonObject.getString("checkColName"));
				tblThresholdExceedAll.setCheckNum(jsonObject.getLong("matchedNum"));
				tblThresholdExceedAll.setCheckRate(jsonObject.getDouble("matchedRate"));
			} else {
				logger.error("checkType params is error: {}", checkType);
			}
		} else {
			logger.error("checkType params is null!");
		}
		int insertSelective = tblThresholdExceedAllMapper.insertSelective(tblThresholdExceedAll);
		if (1 == insertSelective) {
			rs = true;
		} else {
			logger.error("insert tblThresholdExceedAll failed!");
		}
		return rs;
	}

	@Override
	public List<ThresholdExceedAllVo> getThresholdExceedAllList() {
		List<ThresholdExceedAllVo> rsList = new ArrayList<ThresholdExceedAllVo>();
		TblThresholdExceedAllCriteria example = new TblThresholdExceedAllCriteria();
		List<TblThresholdExceedAll> list = tblThresholdExceedAllMapper.selectByExample(example);
		for (TblThresholdExceedAll tblThresholdExceedAll : list) {
			ThresholdExceedAllVo thresholdExceedAllVo = BeanUtils.map(tblThresholdExceedAll,ThresholdExceedAllVo.class);
			String checkType = thresholdExceedAllVo.getCheckType();
			if (Constants.CHECK_UNIQUE.equals(checkType)) {
				thresholdExceedAllVo.setCheckType("唯一性校验");
			} else if (Constants.CHECK_UNBLANK.equals(checkType)) {
				thresholdExceedAllVo.setCheckType("非空性校验");
			} else if (Constants.CHECK_REFER.equals(checkType)) {
				thresholdExceedAllVo.setCheckType("参照性校验");
			} else {
				logger.error("check type is error: {}",checkType);
			}
			rsList.add(thresholdExceedAllVo);
		}
		return rsList;
	}
}
