package com.gmei.data.dqmp.vo;

import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.NotBlank;

public class DqRuleVo extends BaseVo{
	//common
	@NotBlank(message = "校验类型不能为空")
	private String checkType;
	@NotNull(message = "状态不能为NULL")
	private Integer isValid;
	@NotBlank(message = "校验时间不能为空")
	private String checkTime;
	@NotBlank(message = "校验规则备注")
	private String comment;
	@NotBlank(message = "预警阈值不能为空")
	private Double threshold;
	
	//simple
	private String dbName;
	private String tbName;
	private String colName;
	private String timeColName;
	private String filters;
	private String indicatorType;
	private String startTime;
	
	//duplex
	private String checkDbName;
	private String checkTbName;
	private String checkColName;
	private String referDbName;
	private String referTbName;
	private String referColName;
	private String checkFilters;
	private String referFilters;
	
	private Integer id;
	
	public DqRuleVo() {
		super();
	}
	
	public DqRuleVo(Integer status,String msg) {
		super(status,msg);
	}

	public Integer getIsValid() {
		return isValid;
	}

	public void setIsValid(Integer isValid) {
		this.isValid = isValid;
	}

	public String getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(String checkTime) {
		this.checkTime = checkTime;
	}

	public String getCheckType() {
		return checkType;
	}
	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}
	public String getDbName() {
		return dbName;
	}
	public void setDbName(String dbName) {
		this.dbName = dbName;
	}
	public String getTbName() {
		return tbName;
	}
	public void setTbName(String tbName) {
		this.tbName = tbName;
	}
	public String getColName() {
		return colName;
	}
	public void setColName(String colName) {
		this.colName = colName;
	}
	public String getTimeColName() {
		return timeColName;
	}

	public void setTimeColName(String timeColName) {
		this.timeColName = timeColName;
	}

	public String getFilters() {
		return filters;
	}
	public void setFilters(String filters) {
		this.filters = filters;
	}
	public String getIndicatorType() {
		return indicatorType;
	}
	public void setIndicatorType(String indicatorType) {
		this.indicatorType = indicatorType;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getCheckDbName() {
		return checkDbName;
	}
	public void setCheckDbName(String checkDbName) {
		this.checkDbName = checkDbName;
	}
	public String getCheckTbName() {
		return checkTbName;
	}
	public void setCheckTbName(String checkTbName) {
		this.checkTbName = checkTbName;
	}
	public String getCheckColName() {
		return checkColName;
	}
	public void setCheckColName(String checkColName) {
		this.checkColName = checkColName;
	}
	public String getReferDbName() {
		return referDbName;
	}
	public void setReferDbName(String referDbName) {
		this.referDbName = referDbName;
	}
	public String getReferTbName() {
		return referTbName;
	}
	public void setReferTbName(String referTbName) {
		this.referTbName = referTbName;
	}
	public String getReferColName() {
		return referColName;
	}
	public void setReferColName(String referColName) {
		this.referColName = referColName;
	}
	public String getCheckFilters() {
		return checkFilters;
	}
	public void setCheckFilters(String checkFilters) {
		this.checkFilters = checkFilters;
	}
	public String getReferFilters() {
		return referFilters;
	}
	public void setReferFilters(String referFilters) {
		this.referFilters = referFilters;
	}
	public Double getThreshold() {
		return threshold;
	}

	public void setThreshold(Double threshold) {
		this.threshold = threshold;
	}

	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "DqRuleVo [checkType=" + checkType + ", isValid=" + isValid + ", checkTime=" + checkTime + ", comment="
				+ comment + ", threshold=" + threshold + ", dbName=" + dbName + ", tbName=" + tbName + ", colName="
				+ colName + ", timeColName=" + timeColName + ", filters=" + filters + ", indicatorType=" + indicatorType
				+ ", startTime=" + startTime + ", checkDbName=" + checkDbName + ", checkTbName=" + checkTbName
				+ ", checkColName=" + checkColName + ", referDbName=" + referDbName + ", referTbName=" + referTbName
				+ ", referColName=" + referColName + ", checkFilters=" + checkFilters + ", referFilters=" + referFilters
				+ ", id=" + id + "]";
	}
}
